Bug 172591 - [css-grid] Add support for orthogonal positioned grid items
Summary: [css-grid] Add support for orthogonal positioned grid items
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Manuel Rego Casasnovas
URL:
Keywords: BlinkMergeCandidate, InRadar
Depends on:
Blocks: 60731
  Show dependency treegraph
 
Reported: 2017-05-25 07:54 PDT by Manuel Rego Casasnovas
Modified: 2017-05-30 20:22 PDT (History)
9 users (show)

See Also:


Attachments
Patch (72.41 KB, patch)
2017-05-25 08:00 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (10.48 MB, application/zip)
2017-05-25 09:48 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2017-05-25 07:54:39 PDT
This is not supported yet.

This has been already fixed on Blink: https://chromium-review.googlesource.com/513965
Comment 1 Manuel Rego Casasnovas 2017-05-25 08:00:50 PDT
Created attachment 311221 [details]
Patch
Comment 2 Javier Fernandez 2017-05-25 08:26:30 PDT
Comment on attachment 311221 [details]
Patch

The patch looks fine, but I have concerns about the tests design and how we could verify the result visually; manually comparing the test and its expected html could be difficult if the differences are small.
Comment 3 Manuel Rego Casasnovas 2017-05-25 08:29:17 PDT
(In reply to Javier Fernandez from comment #2)
> Comment on attachment 311221 [details]
> Patch
> 
> The patch looks fine, but I have concerns about the tests design and how we
> could verify the result visually; manually comparing the test and its
> expected html could be difficult if the differences are small.

I'm just importing the tests here, so if we want to improve them we should probably do it in a follow-up patch or directly on WPT.

The tests are expected to be run automatically, but even manually the smallest difference is 5px (which is not so small I believe).
Comment 4 Build Bot 2017-05-25 09:48:37 PDT
Comment on attachment 311221 [details]
Patch

Attachment 311221 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3814736

New failing tests:
webrtc/peer-connection-audio-mute.html
Comment 5 Build Bot 2017-05-25 09:48:39 PDT
Created attachment 311233 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.5
Comment 6 WebKit Commit Bot 2017-05-26 03:18:18 PDT
Comment on attachment 311221 [details]
Patch

Clearing flags on attachment: 311221

Committed r217486: <http://trac.webkit.org/changeset/217486>
Comment 7 WebKit Commit Bot 2017-05-26 03:18:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2017-05-30 20:22:26 PDT
<rdar://problem/32479737>